%global tag master
%global parentpomversion %{version}-SNAPSHOT

# Set this to avoid circular deps when bootstrapping
%bcond_with bootstrap

# Set this to avoid building epub support and bringing in long dep chain from tika
%bcond_without mylyn_epub

Name:    eclipse-mylyn
Summary: Eclipse Mylyn main feature.
Version: 3.25.0
Release: 0.11%{?dist}
License: EPL-1.0 and EPL-2.0
URL: http://www.eclipse.org/mylyn

# bash fetch-eclipse-mylyn.sh
Source0: eclipse-mylyn-%{tag}-fetched-src.tar.xz
Source1: fetch-eclipse-mylyn.sh
Source6: redhat-bugzilla-custom-transitions.txt

Patch0: %{name}-remove-hudson-discovery.patch
Patch1: %{name}-add-apache-xmlrpc.patch
Patch2: no-wikitext-sources.patch
Patch4: %{name}-bug-419133.patch
Patch5: epub-docs.patch
Patch6: explicit-hamcrest-use.patch

BuildArch: noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:  maven-local
# Deps for stage 1 wikitext build
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-install-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.jsoup:jsoup)
# Deps for stage 2 tycho build
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:xml-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  mvn(org.eclipse.tycho:tycho-compiler-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-packaging-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-source-plugin)
BuildRequires:  mvn(org.eclipse.tycho:tycho-surefire-plugin)
# Eclipse deps
BuildRequires: eclipse-ecf-runtime
BuildRequires: eclipse-emf-runtime
BuildRequires: eclipse-license1
BuildRequires: eclipse-license2
BuildRequires: eclipse-pde
%if %{without bootstrap}
# Self dependencies
BuildRequires: %{name}-docs-wikitext
%if %{with mylyn_epub}
BuildRequires: %{name}-docs-epub
%endif
# Circular dependencies
BuildRequires: eclipse-cdt
BuildRequires: eclipse-subclipse
BuildRequires: eclipse-egit
BuildRequires: eclipse-jgit
%endif
BuildRequires: apache-commons-lang >= 2.6-6
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-io >= 2.3
BuildRequires: jakarta-commons-httpclient
BuildRequires: ws-commons-util >= 1.0.1-21
BuildRequires: xmlrpc-client >= 3.1.3
BuildRequires: xmlrpc-common >= 3.1.3
BuildRequires: xmlrpc-server >= 3.1.3
BuildRequires: google-gson
BuildRequires: guava20
BuildRequires: glassfish-jaxb-api
BuildRequires: glassfish-jaxb-runtime
%if %{with mylyn_epub}
BuildRequires: tika >= 1.17
BuildRequires: tika-parsers >= 1.17
%endif

Requires:      eclipse-platform

# Added in F31
Obsoletes:     %{name}-tasks-web <= 3.25.0-1
Obsoletes:     %{name}-tests <= 3.25.0-1

%description
Mylyn integrates task support into Eclipse. It supports offline editing
for certain task repositories and monitors work activity to hide
information that is not relevant to the current task.

%package context-java
Summary:  Mylyn Bridge:  Java Development
Requires: eclipse-jdt

%description context-java
Mylyn Task-Focused UI extensions for JDT.  Provides focusing of Java
element views and editors.

%package context-pde
Summary:  Mylyn Bridge:  Plug-in Development
Requires: eclipse-pde

%description context-pde
Mylyn Task-Focused UI extensions for PDE, Ant, Team Support and CVS.

%if %{without bootstrap}
%package context-cdt
Summary:  Mylyn Bridge:  C/C++ Development
Requires: eclipse-cdt

%description context-cdt
Mylyn Task-Focused UI extensions for CDT.  Provides focusing of C/C++
element views and editors.
%endif

%package tasks-bugzilla
Summary: Mylyn Tasks Connector: Bugzilla

%description tasks-bugzilla
Provides Task List integration, offline support and rich editing for the
open source Bugzilla bug tracker.

%package docs-wikitext
Summary: Mylyn WikiText
License: EPL-2.0

%description docs-wikitext
Enables parsing and display of lightweight markup (wiki text) and HTML text.

%if %{with mylyn_epub}
%package docs-epub
Summary: Mylyn EPub
License: EPL-2.0

%description docs-epub
The EPUB framework in Mylyn Docs offers API to create, manipulate,
read and write EPUB formatted files.
%endif

%package tasks-trac
Summary: Mylyn Tasks Connector: Trac

%description tasks-trac
Provides Task List integration, offline support and rich editing
for the open source Trac issue tracker.

%package versions
Summary: Eclipse Mylyn Versions

%description versions
Provides a framework for accessing team providers for Eclipse Mylyn.

%package versions-git
Summary: Mylyn Versions Connector: Git

%description versions-git
Provides Git integration for Eclipse Mylyn.

%package versions-cvs
Summary: Mylyn Versions Connector: CVS

%description versions-cvs
Provides CVS integration for Eclipse Mylyn.

%if %{without bootstrap}
%package versions-subclipse
Summary: Mylyn Versions Connector: SVN

%description versions-subclipse
Provides SVN integration for Eclipse Mylyn.
%endif

%package builds
Summary: Eclipse Mylyn Builds

%description builds
Provides a common framework to interact with continuous integration
build providers using Eclipse Mylyn.

%package builds-hudson
Summary: Mylyn Builds Connector: Hudson/Jenkins
Requires: eclipse-ecf-runtime

%description builds-hudson
Support for the open source Hudson and Jenkins continuous integration servers.

%package sdk
Summary: Mylyn SDK
Requires: %{name} = %{version}-%{release}
Requires: %{name}-builds = %{version}-%{release}
Requires: %{name}-builds-hudson = %{version}-%{release}
Requires: %{name}-context-java = %{version}-%{release}
Requires: %{name}-context-pde = %{version}-%{release}
Requires: %{name}-docs-epub = %{version}-%{release}
Requires: %{name}-docs-wikitext = %{version}-%{release}
Requires: %{name}-tasks-bugzilla = %{version}-%{release}
Requires: %{name}-tasks-trac = %{version}-%{release}
Requires: %{name}-versions = %{version}-%{release}
Requires: %{name}-versions-cvs = %{version}-%{release}
%if %{without bootstrap}
Requires: %{name}-context-cdt = %{version}-%{release}
Requires: %{name}-versions-git = %{version}-%{release}
Requires: %{name}-versions-subclipse = %{version}-%{release}
%endif

%description sdk
Sources for all Mylyn bundles.

%prep
%setup -q -n eclipse-mylyn-%{tag}-fetched-src

%patch0
%patch1
%patch2
%patch4
%patch5
%patch6

# Relax version constraint on jsoup
find -name MANIFEST.MF -exec grep -l -e 'org\.jsoup' {} \; | xargs sed -i -e '/org\.jsoup/s/1.8.3/1.6.1/'

# Don't build and ship test bundles
%pom_disable_module org.eclipse.mylyn.wikitext.tests org.eclipse.mylyn.docs/wikitext/core
for pom in $(find -maxdepth 3 -name pom.xml) ; do
  sed -i -e '/tests<\/module>/d' -e '/test-feature<\/module>/d' $pom
done

# Add docs build back in
%pom_xpath_inject "pom:modules" "<module>org.eclipse.mylyn.docs/docs</module>"
%pom_xpath_set "pom:parent/pom:relativePath" ../../org.eclipse.mylyn/org.eclipse.mylyn-parent org.eclipse.mylyn.docs/docs
%if %{without bootstrap}
#%pom_xpath_inject "pom:modules" "<module>org.eclipse.mylyn.docs/wikitext/ui</module>"
#%pom_xpath_inject "pom:modules" "<module>org.eclipse.mylyn.docs/epub/ui</module>"
%endif

# Correct doc license feature version
sed -i -e 's/license-feature-version=\"2\.0\.0/license-feature-version=\"0.0.0/' $(find -name feature.xml)

# Fix bundle names for javax.xml.bind
sed -i -e 's/javax\.xml\.bind/jaxb-api/' -e 's/com\.sun\.xml\.bind/com.sun.xml.bind.jaxb-impl/' \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/feature.xml \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.builds.sdk-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.notifications-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.notifications.feed/META-INF/MANIFEST.MF \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson.core/META-INF/MANIFEST.MF

# Remove optional activation and stream from feature.xmls
%pom_xpath_remove "import[@plugin='javax.activation']" \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.notifications-feature/feature.xml
%pom_xpath_remove "plugin[@id='javax.activation']" \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.builds.sdk-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/feature.xml
%pom_xpath_remove "import[@plugin='javax.xml.stream']" \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.notifications-feature/feature.xml
%pom_xpath_remove "plugin[@id='javax.xml.stream']" \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/feature.xml \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.builds.sdk-feature/feature.xml

# Disable plugins we can live without (they are skipped by default anyway)
%pom_remove_plugin -r :findbugs-maven-plugin
%pom_remove_plugin -r :maven-pmd-plugin
%pom_remove_plugin -r :jacoco-maven-plugin
%pom_remove_plugin -r :maven-deploy-plugin

# Disable target platforms and repos that we don't need for RPM builds
%pom_xpath_remove pom:repositories org.eclipse.mylyn.docs/docs
for site in $(grep -l -r --include="pom.xml" eclipse-update-site .) ; do
  module=$(basename $(dirname $site)); dir=$(dirname $(dirname $site))
  %pom_disable_module $module $dir
done
%pom_disable_module repository org.eclipse.mylyn.docs/{epub/core,wikitext/core}
%pom_disable_module targets org.eclipse.mylyn.docs/{docs,epub/ui,wikitext/ui}
%pom_xpath_remove "pom:configuration/pom:target" org.eclipse.mylyn.docs/{docs,wikitext/ui,epub/ui}
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin org.eclipse.mylyn.docs/wikitext/ui
%pom_remove_plugin org.eclipse.tycho:tycho-packaging-plugin org.eclipse.mylyn.docs/epub/ui

# Don't build development features
%pom_disable_module org.eclipse.mylyn.builds.development-feature org.eclipse.mylyn.builds
%pom_disable_module org.eclipse.mylyn.commons.development-feature org.eclipse.mylyn.commons
%pom_disable_module org.eclipse.mylyn.context.development-feature org.eclipse.mylyn.context
%pom_disable_module org.eclipse.mylyn.docs.development-feature org.eclipse.mylyn.docs/docs
%pom_disable_module org.eclipse.mylyn.reviews.development.feature org.eclipse.mylyn.reviews
%pom_disable_module org.eclipse.mylyn.versions.development-feature org.eclipse.mylyn.versions

# Disable modules we can't build yet
%pom_disable_module org.eclipse.mylyn.reviews
rm org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson.ui/src/org/eclipse/mylyn/internal/hudson/ui/HudsonDiscovery.java
rm org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson.ui/src/org/eclipse/mylyn/internal/hudson/ui/HudsonUiPlugin.java
rm org.eclipse.mylyn.builds/org.eclipse.mylyn.hudson.ui/src/org/eclipse/mylyn/internal/hudson/ui/HudsonStartup.java

%pom_xpath_remove "plugin[contains(@id, '.source')]" \
  org.eclipse.mylyn.builds/org.eclipse.mylyn.builds.sdk-feature/feature.xml \
  org.eclipse.mylyn.commons/org.eclipse.mylyn.commons.sdk-feature/feature.xml \
  org.eclipse.mylyn.context/org.eclipse.mylyn.context.sdk-feature/feature.xml \
  org.eclipse.mylyn.tasks/org.eclipse.mylyn.sdk-feature/feature.xml \
  org.eclipse.mylyn.tasks/org.eclipse.mylyn.test-feature/feature.xml \
  org.eclipse.mylyn.versions/org.eclipse.mylyn.versions.sdk-feature/feature.xml

# Conditionally build git, subclipse and cdt support when bootstrapping
%if %{with bootstrap}
%pom_disable_module org.eclipse.mylyn.git-feature org.eclipse.mylyn.versions
%pom_disable_module org.eclipse.mylyn.git.core org.eclipse.mylyn.versions
%pom_disable_module org.eclipse.mylyn.git.ui org.eclipse.mylyn.versions
%pom_xpath_remove "includes[@id='org.eclipse.mylyn.git']" \
  org.eclipse.mylyn.versions/org.eclipse.mylyn.versions.sdk-feature/feature.xml
%pom_disable_module org.eclipse.mylyn.subclipse-feature org.eclipse.mylyn.versions
%pom_disable_module org.eclipse.mylyn.subclipse.core org.eclipse.mylyn.versions
%pom_disable_module org.eclipse.mylyn.subclipse.ui org.eclipse.mylyn.versions
%pom_disable_module org.eclipse.mylyn.cdt-feature org.eclipse.mylyn.context
%pom_disable_module org.eclipse.mylyn.cdt.ui org.eclipse.mylyn.context
%pom_xpath_remove "includes[@id='org.eclipse.cdt.mylyn']" \
  org.eclipse.mylyn.context/org.eclipse.mylyn.context.sdk-feature/feature.xml
%pom_remove_dep :org.eclipse.mylyn.wikitext org.eclipse.mylyn.docs/epub/core/org.eclipse.mylyn.docs.epub.core
rm org.eclipse.mylyn.docs/epub/core/org.eclipse.mylyn.docs.epub.core/src/org/eclipse/mylyn/docs/epub/core/wikitext/MarkupToOPS.java
%endif

# Don't build artifacts that we don't ship
%pom_disable_module org.eclipse.mylyn.commons.tck-feature org.eclipse.mylyn.commons

# These are not intended to be shipped by upstream, see ebz#467669 and ebz#260666
%pom_disable_module org.eclipse.mylyn.commons.identity.ui org.eclipse.mylyn.commons
%pom_disable_module org.eclipse.mylyn.help.sdk org.eclipse.mylyn.tasks

# Use default buildtimestamp source
%pom_remove_dep :tycho-buildtimestamp-jgit org.eclipse.mylyn/org.eclipse.mylyn-parent
%pom_remove_dep :tycho-sourceref-jgit org.eclipse.mylyn/org.eclipse.mylyn-parent
sed -i -e "/<sourceReferences>/,+3d" org.eclipse.mylyn/org.eclipse.mylyn-parent/pom.xml

# Fix parent pom versions
%pom_xpath_set pom:parent/pom:version "%{parentpomversion}" org.eclipse.mylyn.docs/docs/pom.xml

# Be more tolerant for gson and guava
sed -i -e "/com.google.guava;bundle-version/s/21.0.0,22.0.0/18.0.0,22.0.0/g" $(find -name MANIFEST.MF)
sed -i -e "/com.google.gson.*version/s/2.7.0,2.[89].0/2.2.0,2.9.0/g" $(find -name MANIFEST.MF)
sed -i -e "s/21\.0/18.0/" $(find org.eclipse.mylyn.docs -name pom.xml)
sed -i -e "/org.apache.lucene.*version/s/6.0.0,6.3.0/8.0.0.0,9.0.0/g" org.eclipse.mylyn.tasks/org.eclipse.mylyn.tasks.index.core/META-INF/MANIFEST.MF

# Deal with split package
sed -i -e '/Require-/a\ org.eclipse.jdt.core,' org.eclipse.mylyn.context/org.eclipse.mylyn.context.ui/META-INF/MANIFEST.MF

# Compilation errors with JDT annotations
for mod in $(grep -l 'org.eclipse.jdt.annotation' $(find -name build.properties) ) ; do
  mod_man=$(dirname $mod)/META-INF/MANIFEST.MF
  sed -i -e '/^Require-Bundle:/a\ org.eclipse.jdt.annotation;bundle-version="[1.0.0,3.0.0)";resolution:=optional,' $mod_man
done

%mvn_package "::{target,pom}::" __noinstall
%mvn_package "::jar:sources:" sdk
%mvn_package ":*.sdk{,_feature}" sdk
%mvn_package ":org.eclipse.mylyn.tests.util" sdk
%mvn_package ":org.eclipse.mylyn.{context,commons}.sdk.util" sdk
%mvn_package ":org.eclipse.mylyn.context.sdk.java" sdk
%mvn_package "org.eclipse.mylyn.builds:*hudson*" builds-hudson
%mvn_package "org.eclipse.mylyn.builds:" builds
%mvn_package "org.eclipse.mylyn.context:*cdt.mylyn*" context-cdt
%mvn_package "org.eclipse.mylyn.context:*mylyn.pde*" context-pde
%mvn_package "org.eclipse.mylyn.context*:*.team.cvs" context-pde
%mvn_package "org.eclipse.mylyn.context:*{java_feature,java.tasks,java.ui,ide.ant,debug.ui}*" context-java
%mvn_package "org.eclipse.mylyn.docs:*epub*" docs-epub
%mvn_package "org.eclipse.mylyn.docs:" docs
%mvn_package "org.eclipse.mylyn.tasks:*bugzilla*" tasks-bugzilla
%mvn_package "org.eclipse.mylyn.tasks:*trac*" tasks-trac
%mvn_package "org.eclipse.mylyn.versions:*cvs*" versions-cvs
%mvn_package "org.eclipse.mylyn.versions:*git*" versions-git
%mvn_package "org.eclipse.mylyn.versions:*subclipse*" versions-subclipse
%mvn_package "org.eclipse.mylyn.versions:" versions
%mvn_package "org.eclipse.mylyn{,.commons,.context,.context.features,.tasks}:"

%build
# Increase memory to ensure build succeeds on s390x
export MAVEN_OPTS="-Xmx1024m"

# Do a two stage build a la jgit due to a mixed pom-first and manifest-first project

# Build wikitext and epub first, as normal maven projects
# Artifacts installed into a local m2 repo to be used by the tycho build
pushd org.eclipse.mylyn.docs/wikitext/core/
%mvn_package ":" wikitext
%mvn_build -f -j --post install:install -- -Dmaven.repo.local=$(pwd)/../../.m2
popd
%if %{with mylyn_epub}
pushd org.eclipse.mylyn.docs/epub/core/
%mvn_package ":" epub
%mvn_build -f -j --post install:install -- -Dmaven.repo.local=$(pwd)/../../.m2
popd
%endif

# Build everything else as a tycho project
# Specifiying the local m2 repo to use the artifacts built previously
%mvn_build -f -j -- -e -Dfedora.p2.repos=$(pwd)/org.eclipse.mylyn.docs/.m2 -Ddist.qualifier="\'v\'yyyyMMdd-HHmm"

%install
pushd org.eclipse.mylyn.docs/wikitext/core/
%mvn_install
popd

pushd org.eclipse.mylyn.docs/epub/core/
%mvn_install
popd

%mvn_install

install %{SOURCE6} \
  %{buildroot}%{_datadir}/eclipse/droplets/mylyn-tasks-bugzilla/redhat-bugzilla-custom-transitions.txt

%files -f .mfiles

%files context-java -f .mfiles-context-java

%files context-pde -f .mfiles-context-pde

%if %{without bootstrap}
%files context-cdt -f .mfiles-context-cdt
%endif

%files tasks-bugzilla -f .mfiles-tasks-bugzilla
%{_datadir}/eclipse/droplets/mylyn-tasks-bugzilla/redhat-bugzilla-custom-transitions.txt

%files tasks-trac -f .mfiles-tasks-trac

%files docs-wikitext -f .mfiles-docs -f org.eclipse.mylyn.docs/wikitext/core/.mfiles-wikitext

%if %{with mylyn_epub}
%files docs-epub -f org.eclipse.mylyn.docs/epub/core/.mfiles-epub
%endif

%files versions -f .mfiles-versions

%files versions-cvs -f .mfiles-versions-cvs

%if %{without bootstrap}
%files versions-git -f .mfiles-versions-git

%files versions-subclipse -f .mfiles-versions-subclipse
%endif

%files builds -f .mfiles-builds

%files builds-hudson -f .mfiles-builds-hudson

%files sdk -f .mfiles-sdk

%changelog
* Mon Jun 17 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.11
- Some bundles still are EPL 1

* Fri Jun 14 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.10
- Update to latest upstream build
- Update licence tag

* Tue May 14 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.9
- Add conditional build for epub support

* Fri May 10 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.8
- Don't build and ship tests

* Thu May 09 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.7
- Drop ship incubating components, they are not maintained upstream

* Sat Mar 16 2019 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.6
- Fix failure to build from source
- Restrict to same architectures as Eclipse itself
- Add missing BR on guava

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Dec 14 2018 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.4
- Rebuild to fix source bundle inclusion
- Don't ship the "dev" features

* Fri Dec 14 2018 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.3
- Update to latest mylyn 3.25 snapshot

* Tue Sep 11 2018 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.2
- Update to latest snapshot
- Amend license tag
- Fix guava compatibility

* Thu Aug 23 2018 Mat Booth <mat.booth@redhat.com> - 3.25.0-0.1
- Update to latest snapshot

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 3.24.0-1
- Update to Photon release

* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 3.23.2-7
- Improved bootsrapping mode

* Thu May 03 2018 Mat Booth <mat.booth@redhat.com> - 3.23.2-6
- Fix BZ transitions location

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 3.23.2-5
- Rebuild to regenerate symlinks

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.23.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Merlin Mathesius <mmathesi@redhat.com> - 3.23.2-3
- Cleanup spec file conditionals

* Sun Dec 17 2017 Mat Booth <mat.booth@redhat.com> - 3.23.2-2
- Remove deploy plugin usage

* Fri Dec 15 2017 Mat Booth <mat.booth@redhat.com> - 3.23.2-1
- Update to latest upstream version

* Wed Sep 27 2017 Mat Booth <mat.booth@redhat.com> - 3.23.1-6
- Fix source fetching script

* Tue Sep 26 2017 Mat Booth <mat.booth@redhat.com> - 3.23.1-5
- Add missing BR and rebuild to generate symlinks

* Mon Sep 25 2017 Mat Booth <mat.booth@redhat.com> - 3.23.1-4
- Increase memory to ensure build succeeds on s390x

* Mon Sep 25 2017 Mat Booth <mat.booth@redhat.com> - 3.23.1-3
- Epub and Wikitext are now both two-stage builds due to being mixed mode projects

* Mon Sep 18 2017 nboldt <nickboldt+redhat@gmail.com> - 3.23.1-2
- .1 release had wrong sources; bump to .2 to force a Koji rebuild

* Thu Sep 14 2017 nboldt <nickboldt+redhat@gmail.com> - 3.23.1-1
- Update to latest upstream release 3.23.1
- docs/org.eclipse.mylyn.docs.epub.ant.core moved to epub/core/org.eclipse.mylyn.docs.epub.ant

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.23.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 06 2017 Mat Booth <mat.booth@redhat.com> - 3.23.0-3
- Fix parent pom relative path

* Fri Jun 23 2017 Mat Booth <mat.booth@redhat.com> - 3.23.0-2
- Rebuild to generate wikitext symlinks

* Thu Jun 22 2017 Mat Booth <mat.booth@redhat.com> - 3.23.0-1
- Update to Oxygen release
- Allow conditionally building subclipse support
- Move to two-stage build process due to wikitext having mixed mode project
- Wikitext installed with poms to allow using it as ant or maven plugin

* Mon May 01 2017 Mat Booth <mat.booth@redhat.com> - 3.21.0-5
- Fix BR on eclipse-emf

* Thu Mar 30 2017 Mat Booth <mat.booth@redhat.com> - 3.21.0-4
- Allow building against lucene 6

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.21.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 31 2017 Mat Booth <mat.booth@redhat.com> - 3.21.0-2
- Fix URL encoding errors in documentation TOCs

* Wed Dec 21 2016 Alexander Kurtakov <akurtako@redhat.com> 3.21.0-1
- Update to upstream 3.21.0 release.

* Tue Nov 08 2016 Mat Booth <mat.booth@redhat.com> - 3.20.2-2
- Change tests packaging to avoid broken symlinks in sdk package
- Move development features into tests package

* Wed Aug 03 2016 Sopot Cela <scela@redhat.com> - 3.20.2-1
- Upgrade to 3.20.2

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.19.0-4
- Add missing build-requires

* Fri May 13 2016 Jeff Johnston <jjohnstn@redhat.com> 3.19.0-3
- Add Requires for eclipse-ecf-runtime for eclipse-mylyn-hudson-builds

* Wed Apr 20 2016 Sopot Cela <scela@redhat.com> 3.19.0-2
- Generify the spec file to accomodate non-F25 builds

* Fri Apr 15 2016 Sopot Cela <scela@redhat.com> 3.19.0-1
- Upgrade to 3.19

* Fri Apr 15 2016 Sopot Cela <scela@redhat.com> 3.18.0-7
- Make mylyn build with rome 1.6

* Wed Feb 24 2016 Jeff Johnston <jjohnstn@redhat.com> - 3.18.0-6
- Fix gimcontinue logic for image downloading

* Fri Feb 12 2016 Mat Booth <mat.booth@redhat.com> - 3.18.0-5
- Only use lucene 4 on F22

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.18.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Roland Grunberg <rgrunber@redhat.com> - 3.18.0-3
- Move org.eclipse.mylyn.*development features into mylyn-sdk.

* Wed Jan 13 2016 Mat Booth <mat.booth@redhat.com> - 3.18.0-2
- Add missing BR/Rs needed for tests to run
- Include maven descriptors to allow tests to be discovered
- Fixes rhbz#1271125 - no results from mylyn-tests

* Tue Jan 12 2016 Mat Booth <mat.booth@redhat.com> - 3.18.0-1
- Update to latest release

* Mon Jan 11 2016 Roland Grunberg <rgrunber@redhat.com> - 3.17.0-3
- Bump release for rebuild.

* Mon Oct 19 2015 Roland Grunberg <rgrunber@redhat.com> - 3.17.0-2
- Fix Mylyn Task List decorator icons. EBZ #461443
- Fix layout of Task Repository Properties view. EBZ #472409

* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> -3.17.0-1
- Updated to 3.17.0 for Mars.1 release

* Mon Aug 31 2015 Roland Grunberg <rgrunber@redhat.com> - 3.16.0-3
- Minor changes to build as a droplet.

* Tue Jul 28 2015 Roland Grunberg <rgrunber@redhat.com> - 3.16.0-2
- Rebuild for correcting symbolic links to objectweb-asm.

* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 3.16.0-1
- Update to 3.16.0 final release.

* Wed Jun 24 2015 Alexander Kurtakov <akurtako@redhat.com> 3.16.0-0.3.git4d4c9dd
- Fix build with Lucene 5.x.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.0-0.2.git4d4c9dd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Mat Booth <mat.booth@redhat.com> - 3.16.0-0.1.git4d4c9dd
- Update to Mars release candidate

* Thu May 28 2015 Alexander Kurtakov <akurtako@redhat.com> 3.15.0-2
- Fix build against latest jgit.

* Thu May 14 2015 Alexander Kurtakov <akurtako@redhat.com> 3.15.0-1
- Update to upstream 3.15.0.

* Thu Feb 19 2015 Alexander Kurtakov <akurtako@redhat.com> 3.14.2-1
- Update to upstream 3.14.2.

* Thu Feb  5 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.14.0-3
- Rebuild to fix auto-requires

* Thu Jan 29 2015 Mat Booth <mat.booth@redhat.com> - 3.14.0-2
- Build/install with mvn_build/mvn_install, let xmvn auto generate
  requires and provides
- Fold context-team and context-ide into base package, it longer makes
  sense to have these as separate sub packages
- Drop update-site patch
- Add patch to explicitly require hamcrest for tests that need it
- Remove other misc cruft from spec file that is no longer needed

* Mon Jan 12 2015 Alexander Kurtakov <akurtako@redhat.com> 3.14.0-1
- Update to 3.14.

* Thu Nov 13 2014 Alexander Kurtakov <akurtako@redhat.com> 3.13.0-2
- Update lucene4 patch to work properly.

* Thu Oct 02 2014 Mat Booth <mat.booth@redhat.com> - 3.13.0-1
- Update to 3.13.0 release

* Wed Sep 24 2014 Roland Grunberg <rgrunber@redhat.com> - 3.12.0-4
- Disable pack-and-sign/build.xml.

* Fri Aug 15 2014 Mat Booth <mat.booth@redhat.com> - 3.12.0-3
- Ensure the qualifier buildtimestamp is lexigraphically greater than upstream's
- Fix guava being owned by more than one package
- Fix broken symlinks for gson and jsoup

* Tue Jul 22 2014 Sami Wagiaalla <swagiaal@redhat.com> - 3.12.0-2
- Rebuild for new eclipse-pde.

* Thu Jul 10 2014 Sami Wagiaalla <swagiaal@redhat.com> - 3.12.0-1
- Add missing Rs to mylyn-tests

* Thu Jul 10 2014 Sami Wagiaalla <swagiaal@redhat.com> - 3.12.0-0.7
- Update to R_3_12_0 tag.
- Add mylyn-tests package.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12.0-0.6.git20140509
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Alexander Kurtakov <akurtako@redhat.com> 3.12.0-0.5.git20140509
- Fix broken requires.

* Wed May 28 2014 Alexander Kurtakov <akurtako@redhat.com> 3.12.0-0.4.git20140509
- Drop old requires.

* Wed May 28 2014 Alexander Kurtakov <akurtako@redhat.com> 3.12.0-0.3.git20140509
- Drop old Provides/Requires.

* Sat May 10 2014 Alexander Kurtakov <akurtako@redhat.com> 3.12.0-0.2.git20140509
- Drop useless BR on javamail.

* Sat May 10 2014 Alexander Kurtakov <akurtako@redhat.com> 3.12.0-0.1.git20140509
- First 3.12.0 pre-release

* Mon Mar 31 2014 Alexander Kurtakov <akurtako@redhat.com> 3.11.0-1
- Update to upstream 3.11.0 release.

* Tue Mar 11 2014 Alexander Kurtakov <akurtako@redhat.com> 3.10.0-4
- Bump release for rebuild.
- Make the lucene range include 4.x.

* Fri Feb 28 2014 Roland Grunberg <rgrunber@redhat.com> - 3.10.0-3
- Change R:java to R:java-headless (Bug 1068050).

* Fri Feb 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.10.0-2
- Fix usage of %%pom_disable_module macro

* Tue Nov 12 2013 Alexander Kurtakov <akurtako@redhat.com> 3.10.0-1
- Update to 3.10.
- Drop compat sources and patches as no longer needed.
- Switch to xz for sources.

* Wed Nov 06 2013 Roland Grunberg <rgrunber@redhat.com> 3.9.1-4
- Include fix for Eclipse bug 419869.

* Fri Oct 11 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.1-3
- Include fix for Eclipse bug 419133. 

* Thu Oct 3 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.1-2
- Add a workaround for a build failing on ARM.

* Thu Oct 3 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.1-1
- Update to Kepler SR1.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 12 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-2
- Adjust the build for the latest javamail.

* Fri Jun 28 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-1
- Use release tagged upstream.

* Tue Jun 18 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.8.gita6b7cd
- Update to Kepler release.

* Mon Jun 10 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.7.git2ad84d
- Fix for bug 403024.

* Fri Jun 7 2013 Roland Grunberg <rgrunber@redhat.com> 3.9.0-0.6.git2ad84d
- Update to latest upstream.

* Fri May 31 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.5.gita6b7cd
- Don't require jacoco for build.
- Update latest to latest upstream.

* Tue May 14 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.4.git8b0964
- Rebuild to pick up recent dependencies.

* Thu May 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.3.git8b0964
- Update to latest upstream.

* Fri Mar 15 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.2.gitf9e1cd
- Make noarch always.

* Fri Mar 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 3.9.0-0.1.gitf9e1cd
- Update to latest upstream.
- Initial SCLization.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 3.8.2-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Nov 23 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.2-2
- Remove javax.xml.

* Tue Oct 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.2-1
- Update to 3.8.2 upstream release.

* Tue Sep 18 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.1-2
- Replace xmlrpc3 with xmlrpc to fix broken dependencies.

* Mon Aug 20 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.1-1
- Update to latest upstream release.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-5
- Improve obsoletes/conflicts to prevent dissappearing after
  update packages and mixing versions.

* Thu Jul 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-4
- Change the root location of all files.

* Wed Jul 11 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-3
- Symlink the wsdl jar provided by axis package.

* Tue Jul 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-2
- Add proper BR for jpackage-utils and maven.

* Tue Jul 10 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.8.0-1
- Completely repackaged mylyn.
- Added epub feature.
- Added support for subclipse.

* Mon May 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-5
- Patch for bug 378230 added.

* Mon Apr 30 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-4
- Include schema description.

* Fri Apr 13 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-3
- Move to eclipse 4.2.
- Build help.
- Fix the minimum eclipse-rcp requirement

* Mon Apr 2 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-2
- Bump version to fix upgradepath.

* Mon Mar 26 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.7.0-1
- Update to upstream 3.7.0 release
